#include <iostream>

#include "MyGui.h"

ClassImp(MyGui);

MyGui::MyGui() : TGMainFrame( 0, 0, 0 )
{}
    
MyGui::MyGui( const TGWindow *p, UInt_t w, UInt_t h )
    : TGMainFrame( p, w, h )
{
  TH1F *h1 = new TH1F("h1","test",100,-4,4);
  h1->FillRandom("gaus");
  DrawObject( h1 );
}

MyGui::~MyGui()
{ Cleanup(); }

void MyGui::DrawObject( TObject *obj )
{
  if( obj->InheritsFrom(TH1::Class()) )
  {
    TH1 *h = static_cast<TH1*>(obj);
    TClass *cl = h->IsA();
    TList *menuList = cl->GetMenuList();
    TClassMenuItem *menuItem = new TClassMenuItem( TClassMenuItem::kPopupUserFunction, cl,
                                                   "PeakFind", "PeakFind", h, "" );
    menuList->AddFirst( menuItem );
    h->Draw();
  }
  else
  {
    std::cerr << "DrawObject: do not know how to Draw object " << obj->GetName()
              << " of type " << obj->ClassName() << std::endl;
    gPad->Clear();
  }
  gPad->Modified();
  gPad->Update();
}

void MyGui::PeakFind()
{
  std::cout << "inside PeakFind()" << std::endl;
}
